### Method

# Shumate VectorValue get_string

since: 1.6

#### Declaration [src]

    gboolean
    shumate_vector_value_get_string (
      ShumateVectorValue* self,
      const char** string
    )

#### Description [src]

Gets the string value of `self`.

Available since: 1.6

#### Parameters

`string`

  Type: `const char**`

  A location to store the string value.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The returned data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `self` is a string value and `string` was set, `FALSE` otherwise.